Thread: PSP GO Question

Results 1 to 5 of 5
  1. #1 PSP GO Question 
    Junior Member
    Join Date
    Apr 2013
    Posts
    5
    Hello I have A PSP GO that I modded A long time ago.I have recently started playing with it again and was wondering if I should update it I am currently running 6.20 TN-D. Also if there is any other cool mods . Any advice would be greatly appreciated .
    Reply With Quote  
     

  2. #2  
    Senior Member I Modded My PSP MrHappy's Avatar
    Join Date
    Mar 2013
    Posts
    385
    6.20 TN-D is good, but a little old and only HEN, have a look at PRO cfw which is supported for 6.20, 6.35, 6.39, 6.60, you can update but there isn't a massive difference. only that you get LME cfw at 6.39 and 6.60

    either update to PRO B-10 at 6.20, here you can attempt the permanent patch
    or update to 6.60 LME 1.8

    as for mods, if your going to stay at 6.20, my favourite plugin (mod) is remote joy lite to view PSP screen on PC via USB, and the 3D plugin doesn't work on 6.60, just up to 6.35, so you could have some fun with that, (just thought I'd mention some cool plugins)

    just if your wondering, here's an incomplete comparison of PRO vs LME I made:

    PSP 6.60 OFW vs PRO (C-2) vs LME/ME (1.8)
    Last edited by MrHappy; 04-13-2013 at 04:35 AM.
    Reply With Quote  
     

  3. #3  
    Junior Member
    Join Date
    Apr 2013
    Posts
    5
    Quote Originally Posted by MrHappy View Post
    6.20 TN-D is good, but a little old and only HEN, have a look at PRO cfw which is supported for 6.20, 6.35, 6.39, 6.60, you can update but there isn't a massive difference. only that you get LME cfw at 6.39 and 6.60

    either update to PRO B-10 at 6.20, here you can attempt the permanent patch
    or update to 6.60 LME 1.8

    as for mods, if your going to stay at 6.20, my favourite plugin (mod) is remote joy lite to view PSP screen on PC via USB, and the 3D plugin doesn't work on 6.60, just up to 6.35, so you could have some fun with that, (just thought I'd mention some cool plugins)

    just if your wondering, here's an incomplete comparison of PRO vs LME I made:

    PSP 6.60 OFW vs PRO (C-2) vs LME/ME (1.8)
    First thank you for the reply I appreciate your advice but I have A question. In your reply you say
    Quote Originally Posted by MrHappy View Post
    either update to PRO B-10 at 6.20, here you can attempt the permanent patch
    or update to 6.60 LME 1.8
    but there is PRO C-2 out. Is there A reason you recommended PRO B-10 over the PRO C-2? Also you mention LME at 6.39-6.60 what is LME? sorry I haven't been around for years and am A bit behind .
    Reply With Quote  
     

  4. #4  
    Junior Member
    Join Date
    Apr 2013
    Posts
    5
    Quote Originally Posted by MrHappy View Post
    6.20 TN-D is good, but a little old and only HEN, have a look at PRO cfw which is supported for 6.20, 6.35, 6.39, 6.60, you can update but there isn't a massive difference. only that you get LME cfw at 6.39 and 6.60

    either update to PRO B-10 at 6.20, here you can attempt the permanent patch
    or update to 6.60 LME 1.8

    as for mods, if your going to stay at 6.20, my favourite plugin (mod) is remote joy lite to view PSP screen on PC via USB, and the 3D plugin doesn't work on 6.60, just up to 6.35, so you could have some fun with that, (just thought I'd mention some cool plugins)

    just if your wondering, here's an incomplete comparison of PRO vs LME I made:

    PSP 6.60 OFW vs PRO (C-2) vs LME/ME (1.8)
    First thank you for your reply but I have A few questions. You say in your reply
    Quote Originally Posted by MrHappy View Post
    either update to PRO B-10 at 6.20, here you can attempt the permanent patch
    or update to 6.60 LME 1.8
    But there is PRO C-2 out is there A reason I should use PRO B-10? Also you mention LME . I haven't been around for A few years can you please explain what LME is and if I will ever need it ?
    Reply With Quote  
     

  5. #5  
    Junior Member
    Join Date
    Apr 2013
    Posts
    5
    Quote Originally Posted by MrHappy View Post
    6.20 TN-D is good, but a little old and only HEN, have a look at PRO cfw which is supported for 6.20, 6.35, 6.39, 6.60, you can update but there isn't a massive difference. only that you get LME cfw at 6.39 and 6.60

    either update to PRO B-10 at 6.20, here you can attempt the permanent patch
    or update to 6.60 LME 1.8

    as for mods, if your going to stay at 6.20, my favourite plugin (mod) is remote joy lite to view PSP screen on PC via USB, and the 3D plugin doesn't work on 6.60, just up to 6.35, so you could have some fun with that, (just thought I'd mention some cool plugins)

    just if your wondering, here's an incomplete comparison of PRO vs LME I made:

    PSP 6.60 OFW vs PRO (C-2) vs LME/ME (1.8)
    Yhank you MrHappy !! I am now on PRO C-2 Permanent . Great advice!
    Reply With Quote  
     

Similar Threads

  1. Question about brand new psp 3000, System question
    By scott95116 in forum PSP Discussion
    Replies: 2
    Last Post: 03-27-2011, 09:54 PM
  2. Quick Question..(Decalgirl.com question)
    By WifiFX in forum Want to buy
    Replies: 4
    Last Post: 12-02-2007, 04:48 PM
  3. PSX Emulator Question and N64 too...Well PSP Question really.
    By endocrine_nav in forum PSP Emulation
    Replies: 2
    Last Post: 02-14-2007, 03:49 AM
  4. warranty question and question about L and R buttons
    By condon5589 in forum PSP Hardware & Repair
    Replies: 5
    Last Post: 12-05-2006, 08:27 PM
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •